<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getHackingLevelRequirementOfProgram](./bitburner.singularity.gethackinglevelrequirementofprogram.md)

## Singularity.getHackingLevelRequirementOfProgram() method

Get the hacking level requirement of a program.

**Signature:**

```typescript
getHackingLevelRequirementOfProgram(program: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  program | string | Name of program to create. |

**Returns:**

number

Hacking level requirement. Return Infinity if the specified program cannot be created.

## Remarks

RAM cost: 5 GB \* 16/4/1

In order to create a program via UI or [createProgram](./bitburner.singularity.createprogram.md)<!-- -->, your hacking level must meet the requirement of that program. This API returns that value.

